
/***************************************************************************
**
**    $Header:   D:/ECB2S/SRC/LOG/MAINFRM.H__   1.2.1.4   17 Apr 1997 15:55:32   ZJRD  $
**
**    $Log:   D:/ECB2S/SRC/LOG/MAINFRM.H__  $
** 
**    Rev 1.2.1.4   17 Apr 1997 15:55:32   ZJRD
** No change.
** 
**    Rev 1.2.1.3   16 Apr 1997 10:26:34   ZJRD
** No change.
** 
**    Rev 1.2.1.2   10 Apr 1997 15:37:14   ZJRD
** No change.
** 
**    Rev 1.2.1.1   03 Apr 1997 15:16:44   ZJRD
** No change.
** 
**    Rev 1.2.1.0   28 Mar 1997 10:21:48   ZJRD
** easy pack sld 2.09d
** 
**    Rev 1.1   19 Mar 1997 11:31:56   ZJRD
** No change.
** 
**    Rev 1.0   12 Mar 1997 14:47:40   ZJRD
** Initial revision.
** 
**    Rev 1.7.1.0.1.2   09 Dec 1996 10:15:46   ZJRD
** EasyPack/SLD Version 2.0P
** 
**    Rev 1.7.1.0.1.0   11 Nov 1996 12:59:02   ZJRD
** EasyPack/SLD Version 2.01
** 
**    Rev 1.7.1.4   09 Sep 1996 13:17:18   ZJRD
** No change.
** 
**    Rev 1.7.1.3   05 Sep 1996 11:28:50   ZJRD
** No change.
** 
**    Rev 1.7.1.2   02 Sep 1996 09:55:54   ZJRD
** No change.
** 
**    Rev 1.7.1.1   28 Aug 1996 15:49:40   ZJRD
** EasyPack/SLD Version 1.9b
** 
**    Rev 1.7.1.0   12 Aug 1996 10:53:52   ZJRD
** EasyPack/SLD Version 1.98
** 
**    Rev 1.5   05 Jun 1996 14:57:00   ZJRD
** EasyPack/SLD Version 1.96
** 
**    Rev 1.4   29 May 1996 09:30:32   ZJRD
** EasyPack/SLD Version 1.95
** 
**    Rev 1.3   16 May 1996 09:07:50   ZJRD
** EasyPack/SLD Version 1.94
** 
**    Rev 1.2   10 May 1996 09:09:22   ZJRD
** EasyPack/SLD Version 1.93
** 
**    Rev 1.1   02 May 1996 10:23:40   ZJRD
** EasyPack/SLD Version 1.92
** 
**    Rev 1.31   18 Apr 1996 13:00:02   Shirley
** EasyPack/SLD Version 1.91
** 
**    Rev 1.30   12 Apr 1996 10:35:22   Shirley
** EasyPack/SLD Version 1.90
** 
**    Rev 1.28   15 Feb 1996 08:50:36   Shirley
** No change.
** 
**    Rev 1.27   12 Feb 1996 14:05:18   Shirley
** No change.
** 
**    Rev 1.26   06 Feb 1996 15:31:50   Shirley
** No change.
** 
**    Rev 1.25   06 Feb 1996 13:45:04   Shirley
** No change.
** 
**    Rev 1.24   01 Feb 1996 10:17:50   Shirley
** EasyPack/SLD Version 0.35b
** 
**    Rev 1.23   26 Jan 1996 09:15:58   Shirley
** No change.
** 
**    Rev 1.22   25 Jan 1996 13:15:52   Shirley
** No change.
** 
**    Rev 1.21   24 Jan 1996 10:35:36   Shirley
** No change.
** 
**    Rev 1.20   23 Jan 1996 11:26:24   Shirley
** No change.
** 
**    Rev 1.19   18 Jan 1996 10:15:02   Shirley
** No change.
** 
**    Rev 1.18   15 Jan 1996 16:16:18   Shirley
** No change.
** 
**    Rev 1.17   04 Jan 1996 11:08:24   Shirley
** No change.
** 
**    Rev 1.16   30 Nov 1995 09:09:00   Shirley
** No change.
** 
**    Rev 1.15   28 Nov 1995 15:31:48   Shirley
** No change.
** 
**    Rev 1.14   21 Nov 1995 11:18:26   Shirley
** No change.
** 
**    Rev 1.13   13 Nov 1995 09:24:08   Shirley
** No change.
** 
**    Rev 1.12   12 Nov 1995 11:32:18   Shirley
** EasyPack/SLD Version 0.24
** 
**    Rev 1.11   08 Nov 1995 16:30:42   Shirley
** No change.
** 
**    Rev 1.10   08 Nov 1995 12:40:44   Shirley
** No change.
** 
**    Rev 1.9   02 Nov 1995 10:04:24   Shirley
** No change.
** 
**    Rev 1.8   27 Oct 1995 16:46:24   Shirley
** No change.
** 
**    Rev 1.7   27 Oct 1995 13:48:42   Shirley
** No change.
** 
**    Rev 1.6   25 Oct 1995 14:28:22   Shirley
** No change.
** 
**    Rev 1.5   18 Oct 1995 14:52:34   Shirley
** No change.
** 
**    Rev 1.4   13 Oct 1995 13:21:56   Shirley
** EasyPack/SLD Version 0.1d
** 
**    Rev 1.3   29 Sep 1995 09:52:14   Shirley
** No change.
** 
**    Rev 1.2   20 Sep 1995 10:53:40   Shirley
** EasyPack/SLD Version 0.1b
** 
**    Rev 1.1   15 Sep 1995 09:48:22   Shirley
** No change.
** 
**    Rev 1.0   07 Sep 1995 09:54:36   Shirley
** Initial revision.
**
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name:  MAINFRM.H
//
//  Description:The header file for the class: CMainFrame
//
//  Author:     Roger Zhang
//
//  Date:       03/05/95
//
//  Modification:
//
//      1. 03/05/95, Initial version 
//
//
//  Copyright (C) 1995 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _MAINFRM_
#define _MAINFRM_

class CMainFrame : public CMDIFrameWnd
{
    DECLARE_DYNAMIC(CMainFrame)
public:
    CMainFrame();

// Attributes
public:  
//added by john 96.4
	UINT m_nTimerID;

// Operations
public:
	void DoMap() { OnMap(); };

// Implementation
public:
    virtual ~CMainFrame();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

// control bar embedded members
public:
    CSuperStatusBar	m_wndStatusBar;
    CSuperToolBar  	m_wndToolBar;

public:
    void UpdateAllWindows(void);	// john 96.4
    void ShowElapseTimer(void);		// Chen, 05/07/96

protected:  // control bar embedded members
    virtual BOOL PreCreateWindow(CREATESTRUCT & cs);

// Generated message map functions
protected:
    //{{AFX_MSG(CMainFrame)
    afx_msg LONG OnXMMDIActive(UINT wParam, LONG lParam);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateInsert(CCmdUI* pCmdUI);
    afx_msg void OnToggleInsert();
    afx_msg void OnFileInclude();
    afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
    afx_msg void OnFileLoad();
    afx_msg void OnFileSaveconfiguration();
    afx_msg void OnFileRestoreconfiguration();
    afx_msg void OnGroupTrace();
    afx_msg void OnGroupMemory();
    afx_msg void OnFileBrowsemodule();
    afx_msg void OnUpdateFileBrowsemodule(CCmdUI* pCmdUI);
    afx_msg void OnRunBreakpoint();
    afx_msg void OnRunGo();
    afx_msg void OnRunGountilcall();
    afx_msg void OnUpdateRunGountilcall(CCmdUI* pCmdUI);
    afx_msg void OnRunGountilreturn();
    afx_msg void OnUpdateRunGountilreturn(CCmdUI* pCmdUI);
    afx_msg void OnRunHalt();
    afx_msg void OnUpdateRunHalt(CCmdUI* pCmdUI);
    afx_msg void OnRunJump();
    afx_msg void OnRunReset();
    afx_msg void OnRunResetandgo();
    afx_msg void OnRunStepinto();
    afx_msg void OnRunStepintocontinuously();
    afx_msg void OnRunStepover();
    afx_msg void OnRunStepovercontinuously();
    afx_msg void OnOptionsLoadoptions();
    afx_msg void OnGroupSource();
    afx_msg void OnOptionsIntocall();
    afx_msg void OnUpdateOptionsIntocall(CCmdUI* pCmdUI);
    afx_msg void OnOptionsOverreturn();
    afx_msg void OnUpdateOptionsOverreturn(CCmdUI* pCmdUI);
    afx_msg void OnOptionsUntilcall();
    afx_msg void OnUpdateOptionsUntilcall(CCmdUI* pCmdUI);
    afx_msg void OnOptionsUntilreturn();
    afx_msg void OnUpdateOptionsUntilreturn(CCmdUI* pCmdUI);
    afx_msg void OnOptionsRunaccess();
    afx_msg void OnUpdateOptionsRunaccess(CCmdUI* pCmdUI);
    afx_msg void OnStepStatement();
    afx_msg void OnUpdateStepStatement(CCmdUI* pCmdUI);
    afx_msg void OnStepInstruction();
    afx_msg void OnUpdateStepInstruction(CCmdUI* pCmdUI);
    afx_msg void OnClose();
    afx_msg void OnOptionsSavelayoutnow();
    afx_msg void OnOptionsSavelayoutonexit();
    afx_msg void OnUpdateOptionsSavelayoutonexit(CCmdUI* pCmdUI);
    afx_msg void OnWindowBitmemory();
    afx_msg void OnUpdateWindowBitmemory(CCmdUI* pCmdUI);
    afx_msg void OnWindowCpu();
    afx_msg void OnUpdateWindowCpu(CCmdUI* pCmdUI);
    afx_msg void OnWindowMemory1();
    afx_msg void OnUpdateWindowMemory1(CCmdUI* pCmdUI);
    afx_msg void OnWindowMemory2();
    afx_msg void OnUpdateWindowMemory2(CCmdUI* pCmdUI);
    afx_msg void OnWindowMemory3();
    afx_msg void OnUpdateWindowMemory3(CCmdUI* pCmdUI);
    afx_msg void OnWindowShell();
    afx_msg void OnUpdateWindowShell(CCmdUI* pCmdUI);
    afx_msg void OnWindowSource();   
    afx_msg void OnWindowBrowse();
    afx_msg void OnUpdateWindowSource(CCmdUI* pCmdUI);
    afx_msg void OnUpdateWindowBrowse(CCmdUI* pCmdUI);
    afx_msg void OnWindowStack();
    afx_msg void OnUpdateWindowStack(CCmdUI* pCmdUI);
    afx_msg void OnWindowTrace();
    afx_msg void OnUpdateWindowTrace(CCmdUI* pCmdUI);
    afx_msg void OnWindowVariable();
    afx_msg void OnUpdateWindowVariable(CCmdUI* pCmdUI);
    afx_msg void OnWindowCloseall();
    afx_msg void OnUpdateWindowCloseall(CCmdUI* pCmdUI);
	afx_msg void OnWindowPeripheral();
	afx_msg void OnUpdateWindowPeripheral(CCmdUI* pCmdUI);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	afx_msg void OnEnterIdle(UINT nWhy, CWnd* pWho);
	afx_msg void OnOptionDiagnostic();
	afx_msg void OnUpdateOptionDiagnostic(CCmdUI* pCmdUI);
	afx_msg void OnGroupSpa();
	afx_msg void OnMap();
	afx_msg void OnUpdateMap(CCmdUI* pCmdUI);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRunGorun();
	afx_msg void OnRunGomonitor();
	afx_msg void OnGotoShell();
	afx_msg void OnUpdateProjectBuildproject(CCmdUI* pCmdUI);
	afx_msg void OnProjectBuildproject();
	afx_msg void OnUpdateProjectClose(CCmdUI* pCmdUI);
	afx_msg void OnProjectClose();
	afx_msg void OnUpdateProjectEdit(CCmdUI* pCmdUI);
	afx_msg void OnProjectEdit();
	afx_msg void OnProjectNew();
	afx_msg void OnProjectOpen();
	afx_msg void OnUpdateProjectOptions(CCmdUI* pCmdUI);
	afx_msg void OnProjectOptions();
	afx_msg void OnUpdateGroupSpa(CCmdUI* pCmdUI);
	afx_msg void OnUpdateToggleTrace(CCmdUI* pCmdUI);
	afx_msg void OnToggleTrace();
	afx_msg void OnProjectEditor();
	afx_msg void OnUpdateProjectEditor(CCmdUI* pCmdUI);
	afx_msg void OnCustom();
	afx_msg void OnUser1();
	afx_msg void OnUser2();
	afx_msg void OnUser3();
	afx_msg void OnUser4();
	afx_msg void OnUser5();
	afx_msg void OnUser6();
	afx_msg void OnUser7();
	afx_msg void OnUser8(); 
	afx_msg void OnUpdateUser1(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUser2(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUser3(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUser4(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUser5(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUser6(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUser7(CCmdUI* pCmdUI);
	afx_msg void OnUpdateUser8(CCmdUI* pCmdUI);
	afx_msg void OnUpdateProjectNew(CCmdUI* pCmdUI);
	afx_msg void OnUpdateProjectOpen(CCmdUI* pCmdUI);
	afx_msg void OnRunRestart();
	afx_msg void OnOptionsLogo();
	afx_msg void OnUpdateOptionsLogo(CCmdUI* pCmdUI);
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif
//////////////////////////(EOF)//////////////////////////////////////////////
